mint-meta-kde problems

Forum rules
Before you post please read this

mint-meta-kde problems

Postby Azati Prime on Sat Aug 08, 2009 2:27 pm

I'm trying to install Mint KDE alongside Gnome so I figured I'd just install mint-meta-kde. I get an error saying
mint-meta-kde:
Depends: openoffice.org-kde but it is not going to be installed
Depends: openoffice.org-kab but it is not going to be installed
Depends: kio-sysinfo but it is not going to be installed


I tried installing kio-sysinfo separately and got
kio-sysinfo:
Depends: kdebase-runtime (>=4:4.2.4) but 4:4.2.2-0ubuntu1 is to be installed
Depends: kdelibs5 (>=4:4.2.4) but 4:4.2.2-0ubuntu5 is to be installed


What am I supposed to do now?
Azati Prime
Level 2
Level 2
 
Posts: 58
Joined: Mon Jun 08, 2009 3:40 pm

Linux Mint is funded by ads and donations.
 

Re: mint-meta-kde problems

Postby Boo on Sat Aug 08, 2009 9:56 pm

the problem is that your gnome mint /etc/apt/sources.list is not the same as the kde mint sources list.
I can not access one atm so hopefully someone else may post the kde one.
there are ppa repo keys to add too.

also check out this post:
viewtopic.php?f=109&t=24857

Boo
Image
Now where was i going? Oh yes, crazy!
User avatar
Boo
Level 8
Level 8
 
Posts: 2364
Joined: Mon Mar 26, 2007 7:48 am

Re: mint-meta-kde problems

Postby merlwiz79 on Sat Aug 08, 2009 11:40 pm

Here is what I have for /etc/apt/sources.list in Kde CE 7.
Code: Select all
## ---------------------
## LINUX MINT REPOSITORIES
## -----------------------

## +++ Linux Mint 7 Gloria (stable) +++
deb http://packages.linuxmint.com/ gloria main upstream import

## +++ Backports (not as stable) +++
#deb http://packages.linuxmint.com/ gloria backport

## +++ Community (not as stable) +++
#deb http://packages.linuxmint.com/ gloria community

## +++ Romeo (unstable) +++
#deb http://packages.linuxmint.com gloria romeo

## +++ Source Repositories +++
#deb-src http://packages.linuxmint.com/ gloria main upstream import
#deb-src http://packages.linuxmint.com/ gloria community
#deb-src http://packages.linuxmint.com/ gloria backport
#deb-src http://packages.linuxmint.com/ gloria romeo

## -------------------
## UBUNTU REPOSITORIES
## -------------------

## +++ Ubuntu 9.04 Jaunty (stable) +++
deb http://archive.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ jaunty-security main restricted universe multiverse

## +++ Backports & Proposed (not as stable) +++
#deb http://archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse
#deb http://archive.ubuntu.com/ubuntu/ jaunty-proposed main restricted universe multiverse

## +++ Source Repositories +++
#deb-src http://archive.ubuntu.com/ubuntu/ jaunty main restricted universe multiverse
#deb-src http://archive.ubuntu.com/ubuntu/ jaunty-updates main restricted universe multiverse
#deb-src http://security.ubuntu.com/ubuntu/ jaunty-security main restricted universe multiverse
#deb-src http://archive.ubuntu.com/ubuntu/ jaunty-backports main restricted universe multiverse
#deb-src http://archive.ubuntu.com/ubuntu/ jaunty-proposed main restricted universe multiverse

## ------------------
## OTHER REPOSITORIES
## ------------------

## +++ Canonical (stable) +++
deb http://archive.canonical.com/ubuntu jaunty partner

## +++ Medibuntu (stable) +++
deb http://packages.medibuntu.org/ jaunty free non-free

## +++ Cathbard +++
#deb ftp://cathbard.com/ ./

## +++ Tribler +++
#deb http://ubuntu.tribler.org/ jaunty main

## KDE 4 PPA repositories.
# KDE 4.2.4
deb http://ppa.launchpad.net/kubuntu-ppa/ppa/ubuntu jaunty main
# KDE 4.3 RC 2, amarok 2.1, koffice 2.
#deb http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu jaunty main
# KDE 4.3 experimental
#deb http://ppa.launchpad.net/kubuntu-ppa/experimental/ubuntu jaunty main
# vlc
#deb http://ppa.launchpad.net/medigeek/ppa/ubuntu jaunty main
User avatar
merlwiz79
Level 11
Level 11
 
Posts: 3637
Joined: Wed Apr 04, 2007 1:50 pm
Location: Here again :)

Re: mint-meta-kde problems

Postby Azati Prime on Sun Aug 09, 2009 3:25 am

Boo wrote:the problem is that your gnome mint /etc/apt/sources.list is not the same as the kde mint sources list.
I can not access one atm so hopefully someone else may post the kde one.
there are ppa repo keys to add too.

also check out this post:
viewtopic.php?f=109&t=24857

Boo


I tried adding those two repos and got this error message when adding the keys.
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 8AC93F7AExecuting: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys 8AC93F7A
gpg: requesting key 8AC93F7A from hkp server keyserver.ubuntu.com
gpg: no writable keyring found: eof
gpg: error reading `[stream]': general error
gpg: Total number processed: 0
Azati Prime
Level 2
Level 2
 
Posts: 58
Joined: Mon Jun 08, 2009 3:40 pm

Re: mint-meta-kde problems

Postby Azati Prime on Mon Aug 10, 2009 1:53 pm

Bump?
Azati Prime
Level 2
Level 2
 
Posts: 58
Joined: Mon Jun 08, 2009 3:40 pm

Re: mint-meta-kde problems

Postby delro on Fri Aug 21, 2009 2:50 pm

I remember adding the repos successfully but it turned out mint-kde-artwork was in conflict with mint-gnome-artwork. KDE installed (with all the apps) but not with the appropriate Mint-KDE theme.
Image Compaq Presario C552US. OSx86 10.5.6/openSUSE 11.1/Haiku OS R1A1/Windows 7 Ultimate/Linux Mint 8
User avatar
delro
Level 1
Level 1
 
Posts: 30
Joined: Sun Jul 19, 2009 3:37 am
Location: Las Filipinas

Re: mint-meta-kde problems

Postby Azati Prime on Fri Aug 21, 2009 3:04 pm

I got the repos added but I'm still getting an error about open office.

mint-meta-kde:
Depends: openoffice.org-kde but it is not going to be installed
Depends: openoffice.org-kab but it is not going to be installed


If I try to manually install openoffice.org-kde I get this error.
openoffice.org-kde:
Depends: openoffice.org-core but it is not going to be installed

openoffice.org-core is already installed so I'm not sure what that's about. Is there some way to just install Mint KDE without all the applications? I'm fine with the ones I have now.
Azati Prime
Level 2
Level 2
 
Posts: 58
Joined: Mon Jun 08, 2009 3:40 pm

Re: mint-meta-kde problems

Postby Azati Prime on Thu Sep 03, 2009 7:40 pm

Bump.
Azati Prime
Level 2
Level 2
 
Posts: 58
Joined: Mon Jun 08, 2009 3:40 pm

Re: mint-meta-kde problems

Postby Kaye on Fri Sep 04, 2009 1:25 am

Installing metapackages can easily become a nightmare like this. Why do you need to install the metapackages? Is there a specific reason, or is there another way for you to accomplish your goal?
"In somnis veritas"
Antivirus or defragging?
Image
User avatar
Kaye
Level 5
Level 5
 
Posts: 942
Joined: Fri Feb 06, 2009 5:05 pm
Location: Boston College

Re: mint-meta-kde problems

Postby Azati Prime on Fri Sep 04, 2009 2:11 am

I guess that's what I'm asking. Is there some way to get the parts of KDE Mint without using the meta package?
Azati Prime
Level 2
Level 2
 
Posts: 58
Joined: Mon Jun 08, 2009 3:40 pm

Re: mint-meta-kde problems

Postby Kaye on Fri Sep 04, 2009 10:37 am

What parts of KDE are you talking about? If you want KDE, why not simply switch to the KDE edition?
"In somnis veritas"
Antivirus or defragging?
Image
User avatar
Kaye
Level 5
Level 5
 
Posts: 942
Joined: Fri Feb 06, 2009 5:05 pm
Location: Boston College

Linux Mint is funded by ads and donations.
 

Return to KDE

Who is online

Users browsing this forum: No registered users and 3 guests